package org.sonatype.tycho.p2.bridge.client.impl;

import java.io.File;
import java.util.Collection;

import org.sonatype.tycho.p2.bridge.facade.IUIdentity;
import org.sonatype.tycho.p2.bridge.facade.LogProxy;
import org.sonatype.tycho.p2.bridge.facade.P2Director;
import org.sonatype.tycho.p2.eclipse.bridge.EclipseInstance;

class DefaultP2Director
    implements P2Director
{

    private final EclipseInstance eclipse;

    DefaultP2Director( final EclipseInstance eclipse )
    {
        this.eclipse = eclipse;
    }

    public void run( final LogProxy logProxy, final String... args )
    {
        getP2Director().run( logProxy, args );
    }

    public void install( final LogProxy log, final File location, final String profile, final String version,
                         final Collection<String> repositories, final String tag )
    {
        getP2Director().install( log, location, profile, version, repositories, tag );
    }

    public void rollback( final LogProxy log, final File location, final String profile, final long timestamp,
                          final Collection<String> repositories, final String tag )
    {
        getP2Director().rollback( log, location, profile, timestamp, repositories, tag );
    }

    public IUIdentity[] getAvailableIUs( final LogProxy log, final Collection<String> ius,
                                         final Collection<String> metadataRepositories )
    {
        return getP2Director().getAvailableIUs( log, ius, metadataRepositories );
    }

    private P2Director getP2Director()
    {
        final P2Director p2Director = eclipse.getService( P2Director.class );
        return p2Director;
    }

}
