package org.sonatype.tycho.p2.bridge.client.impl;

import java.io.File;

import org.sonatype.tycho.p2.bridge.facade.IUIdentity;
import org.sonatype.tycho.p2.bridge.facade.P2ProfileRegistry;
import org.sonatype.tycho.p2.bridge.facade.ProfileTimestamp;
import org.sonatype.tycho.p2.eclipse.bridge.EclipseInstance;

public class DefaultP2ProfileRegistry
    implements P2ProfileRegistry
{

    private final EclipseInstance eclipse;

    public DefaultP2ProfileRegistry( final EclipseInstance eclipse )
    {
        this.eclipse = eclipse;
    }

    public String[] getProfileIds( final File location )
    {
        final String[] profileIds = getProfileRegistry().getProfileIds( location );
        return profileIds;
    }

    public ProfileTimestamp[] getProfileTimestamps( final File location, final String profileId )
    {
        final ProfileTimestamp[] timestamps = getProfileRegistry().getProfileTimestamps( location, profileId );
        return timestamps;
    }

    public IUIdentity[] getInstalledRoots( final File location, final String profile )
    {
        final IUIdentity[] installedRoots = getProfileRegistry().getInstalledRoots( location, profile );
        return installedRoots;
    }

    public void removeProfile( final File location, final String profile, final long timestamp )
    {
        getProfileRegistry().removeProfile( location, profile, timestamp );
    }

    private P2ProfileRegistry getProfileRegistry()
    {
        final P2ProfileRegistry profileRegistry = eclipse.getService( P2ProfileRegistry.class );
        return profileRegistry;
    }

}
