package org.sonatype.tycho.p2.bridge.client.impl;

import java.net.URL;

import org.codehaus.plexus.component.annotations.Component;
import org.sonatype.tycho.p2.bridge.client.P2ProfileRegistryFactory;
import org.sonatype.tycho.p2.bridge.facade.P2ProfileRegistry;
import org.sonatype.tycho.p2.eclipse.bridge.EclipseInstance;

@Component( role = P2ProfileRegistryFactory.class )
public class DefaultP2ProfileRegistryFactory
    implements P2ProfileRegistryFactory
{

    public P2ProfileRegistry create( final EclipseInstance eclipse )
    {
        final URL p2FacadeImp = getClass().getClassLoader().getResource( "p2-bridge-facade-imp.jar" );
        if ( p2FacadeImp == null )
        {
            throw new RuntimeException( "Internal error: Cannot find p2-bridge-facade-imp.jar" );
        }

        eclipse.startBundle( eclipse.installBundle( p2FacadeImp.toExternalForm() ) );

        return new DefaultP2ProfileRegistry( eclipse );
    }

}
